---
title: LDWS Advanced Endpoints
slug: develop/ldws-advanced-endpoints
docTags: 
createdAt: 2025-03-11T07:03:32.131Z
---

## GET /v1/advanced/property-lock/

Returns the [property-lock](docId\:a6Ali6u-szxHuansk6T3-) setting and if the registry has been set to override the property-lock value.

**Request Example**

```text
GET /api/v1/advanced/property-lock/ HTTP/1.1
Host: {{playerIP}}
Authorization: {{DigestAuth}}
```

**Response Body**

The server will return a success or error message. A successful response will include:

- `settingsHandlerEnabled` <font color="#704ae0">bool</font>: Whether the [settings handler](docId\:pz4pkahLR3dsSpr-w1sX9) is enabled&#x20;
- `forceRegistrySettings` <font color="#704ae0">bool</font>: Whether registry settings should take priority
- `registryEnableSettings` <font color="#704ae0">bool</font>: The registry value for enable settings handler
- `bsnce` <font color="#704ae0">bool</font>: Whether BSN.Cloud is enabled

**Response Example** 

```json
{
    "data": {
        "result": {
            "settingsHandlerEnabled": true,
            "forceRegistrySettings": false,
            "registryEnableSettings": true,
            "bsnce": true
        }
    }
}
```



## PUT /v1/advanced/property-lock/

Lets users override the current [property-lock](docId\:a6Ali6u-szxHuansk6T3-) setting

**Request Body**

- `forceRegistrySettings` <font color="#704ae0">bool</font>: Whether registry settings should take priority
- `registryEnableSettings` <font color="#704ae0">bool</font>: Registry value for enable settings handler

**Request Example**

```text
PUT /api/v1/advanced/property-lock/ HTTP/1.1
Host: {{playerIP}}
Authorization: {{DigestAuth}}
```

This is an example of the request body:

```json
{
  "forceRegistrySettings": true,
  "registryEnableSettings": true
}
```

**Response Body**

The server will return a success or error message. A successful response will almost always cause a reboot which will be indicated in the response.

- `result` <font color="#704ae0">object</font>: The response object
  - `success` <font color="#704ae0">bool</font>: Whether or not the operation was successful
  - `reboot` <font color="#704ae0">bool</font>: Whether or not the player is rebooting

**Response Example**

```json
{
    "data": {
        "result": {
            "success": true,
            "reboot": true
        }
    }
}
```

****

## GET /v1/system/supervisor/logging/ 

Returns the current logging level on the player. The default value is `info`.

**Request Example**

```text
GET /api/v1/system/supervisor/logging/ HTTP/1.1
Host: {{playerIP}}
Authorization: {{DigestAuth}}
```

**Response Body**

- `status` is the HTTP response code
- `level` is the logging level on the player. The higher the number, the more detail is offered.
- `name` is the name of the logging level (trace, info, error, or warn)

**Response Example**

```json
{
    "data": {
        "result": {
            "status": 200,
            "level": "2",
            "name": "info"
        }
    }
}
```

## PUT /v1/system/supervisor/logging/ 

Sets the logging level on the player.

**Request Body**

- `level` <font color="#704ae0">int</font>: The integer values correspond to the logging levels:
  - 3: Trace
  - 2: Info
  - 1: Warn
  - 0: Error

**Request Example**

```text
PUT /api/v1/system/supervisor/logging/ HTTP/1.1
Host: {{playerIP}}
Authorization: {{DigestAuth}}
```

This is the example request body:

```json
{
  "level": 1
}
```

**Response Example**

```json
{
    "data": {
        "result": {
            "status": 200
        }
    }
}
```

